commit 09d4a0ded04321ab42fbf16d3a63f8e94adcbd93
Author: lbihannic <lucas.bihannic@inrae.fr>
Date:   Mon Mar 24 16:56:42 2025 +0100

    add chambers page and animal entry page

diff --git a/GES_PAC/AppShell.xaml b/GES_PAC/AppShell.xaml
index d1b497e..efa0306 100644
--- a/GES_PAC/AppShell.xaml
+++ b/GES_PAC/AppShell.xaml
@@ -24,6 +24,11 @@
         Route="CreatePlace"
         ContentTemplate="{DataTemplate local:CreatePlaceView}" />
 
+    <ShellContent 
+        Title="Chambres (test)" 
+        Route="Chambers"
+        ContentTemplate="{DataTemplate local:ChambersView}" />
+
     <Shell.FlyoutFooter>
         <Grid Padding="10" ColumnDefinitions="auto,auto">
             <Grid.GestureRecognizers>
diff --git a/GES_PAC/AppShell.xaml.cs b/GES_PAC/AppShell.xaml.cs
index 247f806..2bd4fa6 100644
--- a/GES_PAC/AppShell.xaml.cs
+++ b/GES_PAC/AppShell.xaml.cs
@@ -15,6 +15,10 @@ namespace GES_PAC
             Routing.RegisterRoute(nameof(CreatePersonView), typeof(CreatePersonView));
             Routing.RegisterRoute(nameof(CreatePlaceView), typeof(CreatePlaceView));
             Routing.RegisterRoute(nameof(CreateCalibrationView), typeof(CreateCalibrationView));
+            Routing.RegisterRoute(nameof(SetListView), typeof(SetListView));
+            Routing.RegisterRoute(nameof(CreateSetView), typeof(CreateSetView));
+            Routing.RegisterRoute(nameof(ChambersView), typeof(ChambersView));
+            Routing.RegisterRoute(nameof(EnterAnimalView), typeof(EnterAnimalView));
         }
     }
 
diff --git a/GES_PAC/GES_PAC.csproj b/GES_PAC/GES_PAC.csproj
index ea9c8f9..266dff9 100644
--- a/GES_PAC/GES_PAC.csproj
+++ b/GES_PAC/GES_PAC.csproj
@@ -25,7 +25,7 @@
 		<ApplicationTitle>GES_PAC</ApplicationTitle>
 
 		<!-- App Identifier -->
-		<ApplicationId>com.companyname.GES_PAC</ApplicationId>
+		<ApplicationId>fr.inrae.sicpa.GES_PAC</ApplicationId>
 
 		<!-- Versions -->
 		<ApplicationDisplayVersion>1.0</ApplicationDisplayVersion>
@@ -44,13 +44,22 @@
 
 	<ItemGroup>
 		<!-- App Icon -->
-		<MauiIcon Include="Resources\AppIcon\appicon.svg" ForegroundFile="Resources\AppIcon\appiconfg.svg" Color="#512BD4" />
+		<MauiIcon Include="Resources\AppIcon\appicon.svg" Color="#FFFFFF" />
 
 		<!-- Splash Screen -->
-		<MauiSplashScreen Include="Resources\Splash\splash.svg" Color="#512BD4" BaseSize="128,128" />
+		<MauiSplashScreen Include="Resources\Images\logo_inrae.svg" Color="White" BaseSize="128,128" />
 
 		<!-- Images -->
 		<MauiImage Include="Resources\Images\*" />
+		<MauiImage Include="Resources\Images\AjoutSuppr\*" />
+		<MauiImage Include="Resources\Images\Animaux\*" />
+		<MauiImage Include="Resources\Images\Liste\*" />
+		<MauiImage Include="Resources\Images\PeripheriqueConnexion\*" />
+		<MauiImage Include="Resources\Images\Sanitaire\*" />
+		<MauiImage Include="Resources\Images\Scientifique\*" />
+		<MauiImage Include="Resources\Images\Special\*" />
+		<MauiImage Include="Resources\Images\Utile\*" />
+		<MauiImage Update="Resources\Images\dotnet_bot.svg" BaseSize="168,208" />
 
 		<!-- Custom Fonts -->
 		<MauiFont Include="Resources\Fonts\*" />
@@ -75,9 +84,15 @@
 	  <Compile Update="View\CreatePlaceView.xaml.cs">
 	    <DependentUpon>CreatePlaceView.xaml</DependentUpon>
 	  </Compile>
+	  <Compile Update="View\SetListView.xaml.cs">
+	    <DependentUpon>SetListView.xaml</DependentUpon>
+	  </Compile>
 	</ItemGroup>
 
 	<ItemGroup>
+	  <MauiXaml Update="View\ChambersView.xaml">
+	    <Generator>MSBuild:Compile</Generator>
+	  </MauiXaml>
 	  <MauiXaml Update="View\CreateCalibrationView.xaml">
 	    <Generator>MSBuild:Compile</Generator>
 	  </MauiXaml>
@@ -87,12 +102,21 @@
 	  <MauiXaml Update="View\CreatePersonView.xaml">
 	    <Generator>MSBuild:Compile</Generator>
 	  </MauiXaml>
+	  <MauiXaml Update="View\CreateSetView.xaml">
+	    <Generator>MSBuild:Compile</Generator>
+	  </MauiXaml>
+	  <MauiXaml Update="View\EnterAnimal.xaml">
+	    <Generator>MSBuild:Compile</Generator>
+	  </MauiXaml>
 	  <MauiXaml Update="View\MainView.xaml">
 	    <Generator>MSBuild:Compile</Generator>
 	  </MauiXaml>
 	  <MauiXaml Update="View\CreatePlaceView.xaml">
 	    <Generator>MSBuild:Compile</Generator>
 	  </MauiXaml>
+	  <MauiXaml Update="View\SetListView.xaml">
+	    <Generator>MSBuild:Compile</Generator>
+	  </MauiXaml>
 	  <MauiXaml Update="View\Tools\ConnectionIndicatorView.xaml">
 	    <Generator>MSBuild:Compile</Generator>
 	  </MauiXaml>
diff --git a/GES_PAC/Model/Calibration.cs b/GES_PAC/Model/Calibration.cs
index 61272e2..38dd704 100644
--- a/GES_PAC/Model/Calibration.cs
+++ b/GES_PAC/Model/Calibration.cs
@@ -16,6 +16,12 @@ namespace GES_PAC.Model
 
         public void AddMesure(MesureCalibration mesure)
         {
+            var index = Mesures.FindIndex(m => m.Type == mesure.Type);
+            if (index != -1)
+            {
+                Mesures[index] = mesure;
+                return;
+            }
             Mesures.Add(mesure);
         }
 
diff --git a/GES_PAC/Model/Journee.cs b/GES_PAC/Model/Journee.cs
index 0717653..06242e3 100644
--- a/GES_PAC/Model/Journee.cs
+++ b/GES_PAC/Model/Journee.cs
@@ -30,23 +30,28 @@ namespace GES_PAC.Model
 
         #region Méthodes
 
-        public bool AddCalibration(MesureCalibration mesureCalibration)
+        public bool AddCalibration(MesureCalibration mesureCalibration, PhaseCalibration phaseCalibration)
         {
-            if (Calibrations.Count == 0 || Calibrations.Last().IsComplete())
-            {
-                Calibrations.Add(new Calibration(Calibrations.Count == 0 ? PhaseCalibration.Debut : PhaseCalibration.Fin, mesureCalibration));
-            }
-            else
+            var existing = Calibrations.FirstOrDefault(c => c.Phase == phaseCalibration);
+
+            if (existing == null)
             {
-                Calibrations.Last().Mesures.Add(mesureCalibration);
-                return Calibrations.Last().IsComplete();
+                Calibrations.Add(new Calibration(phaseCalibration, mesureCalibration));
+                return false;
             }
-            return false;
+
+            existing.AddMesure(mesureCalibration);
+            return existing.IsComplete();
+        }
+
+        public void AddSerie(Serie set)
+        {
+            Series.Add(set);
         }
 
         public PhaseCalibration GetCurrentPhase()
         {
-            if (Calibrations.Count == 0 || !Calibrations.Last().IsComplete())
+            if (Series.Count == 0)
             {
                 return PhaseCalibration.Debut;
             }
diff --git a/GES_PAC/Model/MesureCalibration.cs b/GES_PAC/Model/MesureCalibration.cs
index 7430c22..bc2dead 100644
--- a/GES_PAC/Model/MesureCalibration.cs
+++ b/GES_PAC/Model/MesureCalibration.cs
@@ -9,8 +9,10 @@ namespace GES_PAC.Model
         public MesureCalibration(DateTime Time, double Conc_O2, double Conc_CO2, double Conc_CH4, TypeCalibration Type, string RefBouteille) : base(Time, Conc_O2, Conc_CO2, Conc_CH4)
         {
             this.Type = Type;
-            this.RefBouteille = RefBouteille;
+            if (Type.Value != 0)
+            {
+                this.RefBouteille = RefBouteille;
+            }
         }
-
     }
 }
diff --git a/GES_PAC/Model/Serie.cs b/GES_PAC/Model/Serie.cs
index da91797..92b9ae7 100644
--- a/GES_PAC/Model/Serie.cs
+++ b/GES_PAC/Model/Serie.cs
@@ -10,5 +10,15 @@ namespace GES_PAC.Model
         public double Humidite { get; set; }
         public double Pression { get; set; }
         public List<SerieAnimal> SeriesAnimales { get; set; }
+
+        public Serie(DateTime Time, DateTime MiseAJeun, double Temperature, double Humidite, double Pression)
+        {
+            this.Time = Time;
+            this.MiseAJeun = MiseAJeun;
+            this.Temperature = Temperature;
+            this.Humidite = Humidite;
+            this.Pression = Pression;
+            SeriesAnimales = [];
+        }
     }
 }
diff --git a/GES_PAC/Model/TypeCalibration.cs b/GES_PAC/Model/TypeCalibration.cs
index 128949e..92e3234 100644
--- a/GES_PAC/Model/TypeCalibration.cs
+++ b/GES_PAC/Model/TypeCalibration.cs
@@ -17,9 +17,9 @@ namespace GES_PAC.Model
             Value = value;
         }
 
-        public static readonly TypeCalibration Air = new("Air", 1);
-        public static readonly TypeCalibration Methane = new("Methane", 2);
-        public static readonly TypeCalibration Melange = new("Mélange", 3);
+        public static readonly TypeCalibration Air = new("Air", 0);
+        public static readonly TypeCalibration Methane = new("Methane", 1);
+        public static readonly TypeCalibration Melange = new("Mélange", 2);
 
         public static readonly List<TypeCalibration> All = new() { Air, Methane, Melange };
 
diff --git a/GES_PAC/Resources/Images/Utile/arrow.svg b/GES_PAC/Resources/Images/Utile/arrow.svg
new file mode 100644
index 0000000..a60919b
--- /dev/null
+++ b/GES_PAC/Resources/Images/Utile/arrow.svg
@@ -0,0 +1,27 @@
+<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
+	 width="100%" viewBox="0 0 560 560" enable-background="new 0 0 560 560" xml:space="preserve">
+<path fill="#000000" opacity="1.000000" stroke="none" 
+	d="
+M73.001549,225.857483 
+	C147.825455,225.864105 222.149796,225.872406 296.474121,225.873993 
+	C304.807587,225.874176 304.796875,225.856537 304.798828,217.712708 
+	C304.805054,191.715881 304.836914,165.719025 304.813293,139.722229 
+	C304.809723,135.790375 305.352234,132.050034 307.868347,128.893066 
+	C312.138092,123.535797 319.144806,123.230049 325.689331,128.214233 
+	C343.847900,142.043427 361.963806,155.928604 380.089050,169.801498 
+	C424.541595,203.825043 469.021759,237.812622 513.414551,271.914032 
+	C522.926208,279.220673 522.747253,286.996643 513.243286,294.269897 
+	C464.964142,331.217499 416.662262,368.135345 368.376587,405.074402 
+	C354.353973,415.801849 340.319397,426.514435 326.373108,437.340576 
+	C321.846924,440.854126 317.150848,442.821564 311.624023,440.126556 
+	C306.051697,437.409393 304.824646,432.326752 304.824219,426.699829 
+	C304.822296,400.869629 304.819458,375.039429 304.815826,349.209229 
+	C304.814545,340.195190 304.813110,340.201019 295.993561,340.199890 
+	C218.336304,340.190186 140.679047,340.181335 63.021797,340.152405 
+	C60.697311,340.151520 58.332092,340.168915 56.056168,339.773315 
+	C49.421066,338.619995 45.732994,334.472748 45.713638,327.747528 
+	C45.627792,297.918060 45.625164,268.088104 45.700039,238.258621 
+	C45.718922,230.736664 50.375137,226.311478 58.507198,225.913071 
+	C63.161861,225.685013 67.836388,225.862366 73.001549,225.857483 
+z"/>
+</svg>
\ No newline at end of file
diff --git a/GES_PAC/Resources/Styles/Styles.xaml b/GES_PAC/Resources/Styles/Styles.xaml
index 2bba0df..20cb701 100644
--- a/GES_PAC/Resources/Styles/Styles.xaml
+++ b/GES_PAC/Resources/Styles/Styles.xaml
@@ -1,4 +1,4 @@
-﻿<?xml version="1.0" encoding="UTF-8" ?>
+<?xml version="1.0" encoding="UTF-8" ?>
 <?xaml-comp compile="true" ?>
 <ResourceDictionary xmlns="http://schemas.microsoft.com/dotnet/2021/maui" xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml">
 
@@ -475,6 +475,38 @@
         <Setter Property="TextColor" Value="{StaticResource InraeTertiary}" />
         <Setter Property="FontSize" Value="Medium" />
     </Style>
-    
-    
+
+
+    <!-- STYLE PROPRE A GES_PAC -->
+    <Style x:Key="ChambreButtonStyle" TargetType="Button">
+        <Setter Property="BackgroundColor" Value="White"/>
+        <Setter Property="TextColor" Value="Black"/>
+        <Setter Property="BorderColor" Value="Black"/>
+        <Setter Property="BorderWidth" Value="1"/>
+        <Setter Property="CornerRadius" Value="5"/>
+        <Setter Property="WidthRequest" Value="75"/>
+        <Setter Property="HeightRequest" Value="75"/>
+        <Setter Property="FontAttributes" Value="Bold"/>
+        <Setter Property="VisualStateManager.VisualStateGroups">
+            <VisualStateGroupList>
+                <VisualStateGroup x:Name="CommonStates">
+                    <VisualState x:Name="Normal">
+                        <VisualState.Setters>
+                            <Setter Property="BackgroundColor" Value="White"/>
+                            <Setter Property="TextColor" Value="Black"/>
+                        </VisualState.Setters>
+                    </VisualState>
+                    <VisualState x:Name="Pressed">
+                        <VisualState.Setters>
+                            <Setter Property="BackgroundColor" Value="#E0E0E0"/>
+                            <Setter Property="TextColor" Value="Gray"/>
+                        </VisualState.Setters>
+                    </VisualState>
+                </VisualStateGroup>
+            </VisualStateGroupList>
+        </Setter>
+    </Style>
+
+
+
 </ResourceDictionary>
diff --git a/GES_PAC/View/ChambersView.xaml b/GES_PAC/View/ChambersView.xaml
new file mode 100644
index 0000000..2972c73
--- /dev/null
+++ b/GES_PAC/View/ChambersView.xaml
@@ -0,0 +1,119 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<ContentPage xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
+             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
+             xmlns:vm="clr-namespace:GES_PAC.ViewModel"
+             xmlns:tools="clr-namespace:GES_PAC.View.Tools"
+             x:Class="GES_PAC.View.ChambersView"
+             x:DataType="vm:ChambersViewModel">
+
+    <Grid>
+        <StackLayout BackgroundColor="White" Spacing="50">
+            <tools:ConnectionIndicatorView />
+            <ScrollView>
+
+                <VerticalStackLayout Grid.Row="1" Spacing="5">
+
+                    <Label Text="Série n°1"
+                       FontSize="16"
+                       FontAttributes="Bold"
+                       HorizontalOptions="Center" />
+
+                    <VerticalStackLayout HorizontalOptions="Center" VerticalOptions="Center" Spacing="10">
+
+                        <!-- Remorque -->
+                        <Border Stroke="Black" StrokeThickness="2" BackgroundColor="Transparent" HorizontalOptions="Center" StrokeShape="RoundRectangle 10">
+
+                            <Grid
+                                BackgroundColor="LightGray"
+                                Padding="5"
+                                RowSpacing="0"
+                                ColumnSpacing="5"
+                                WidthRequest="250"
+                                HeightRequest="500">
+
+                                <Grid.ColumnDefinitions>
+                                    <ColumnDefinition Width="Auto"/>
+                                    <ColumnDefinition Width="80"/>
+                                    <ColumnDefinition Width="Auto"/>
+                                </Grid.ColumnDefinitions>
+
+                                <Grid.RowDefinitions>
+                                    <RowDefinition Height="*" />
+                                    <RowDefinition Height="*" />
+                                    <RowDefinition Height="*" />
+                                    <RowDefinition Height="*" />
+                                    <RowDefinition Height="*" />
+                                    <RowDefinition Height="*" />
+                                </Grid.RowDefinitions>
+
+                                <!-- Boutons Gauche -->
+                                <Button Grid.Row="5" Grid.Column="0" Text="1" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="1"/>
+                                <Button Grid.Row="4" Grid.Column="0" Text="3" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="3"/>
+                                <Button Grid.Row="3" Grid.Column="0" Text="5" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="5"/>
+                                <Button Grid.Row="2" Grid.Column="0" Text="7" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="7"/>
+                                <Button Grid.Row="1" Grid.Column="0" Text="9" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="9"/>
+                                <Button Grid.Row="0" Grid.Column="0" Text="11" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="11"/>
+
+                                <!-- Boutons Droite -->
+                                <Button Grid.Row="5" Grid.Column="2" Text="2" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="2"/>
+                                <Button Grid.Row="4" Grid.Column="2" Text="4" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="4"/>
+                                <Button Grid.Row="3" Grid.Column="2" Text="6" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="6"/>
+                                <Button Grid.Row="2" Grid.Column="2" Text="8" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="8"/>
+                                <Button Grid.Row="1" Grid.Column="2" Text="10" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="10"/>
+                                <Button Grid.Row="0" Grid.Column="2" Text="12" Style="{StaticResource ChambreButtonStyle}" Command="{Binding OnClickChamberCommand}" CommandParameter="12"/>
+
+                                <!-- Couloir central -->
+                                <BoxView Grid.Column="1" Grid.RowSpan="6" HeightRequest="500" WidthRequest="75" Color="Gray"/>
+                            </Grid>
+                        </Border>
+
+                        <!-- Arrow -->
+                        <Image Source="arrow"
+                           HeightRequest="75"
+                           WidthRequest="75"
+                           Rotation="-90"
+                           TranslationY="-60"
+                           HorizontalOptions="Center"
+                           BackgroundColor="gray"/>
+                    </VerticalStackLayout>
+
+
+                </VerticalStackLayout>
+            </ScrollView>
+            <StackLayout
+                Margin="-40"
+                HorizontalOptions="Center"
+                Orientation="Horizontal"
+                VerticalOptions="Fill">
+
+                <Button 
+                    Text="Terminer les mesures"
+                    Command="{Binding CreateSetCommand}"
+                    Style="{StaticResource btnNormal}"
+                    IsEnabled="{Binding IsFormValid}"
+                    VerticalOptions="End"/>
+            </StackLayout>
+        </StackLayout>
+        <Grid Grid.RowSpan="1" IsVisible="{Binding IsBusy}">
+            <Border StrokeThickness="0"
+                            Background="Black"
+                            Opacity="0.5"
+                            Padding="20"
+                            WidthRequest="160"
+                            HeightRequest="160"
+                            HorizontalOptions="Center"
+                            VerticalOptions="Center"
+                            StrokeShape="RoundRectangle 20">
+
+                <VerticalStackLayout HorizontalOptions="Center" VerticalOptions="Center">
+                    <ActivityIndicator IsRunning="True" Color="White" />
+                    <Label Text="Chargement..."
+                            FontSize="14"
+                            TextColor="white"
+                            HorizontalOptions="Center"/>
+                </VerticalStackLayout>
+            </Border>
+        </Grid>
+    </Grid>
+
+</ContentPage>
\ No newline at end of file
diff --git a/GES_PAC/View/ChambersView.xaml.cs b/GES_PAC/View/ChambersView.xaml.cs
new file mode 100644
index 0000000..f991c00
--- /dev/null
+++ b/GES_PAC/View/ChambersView.xaml.cs
@@ -0,0 +1,13 @@
+using GES_PAC.ViewModel;
+
+namespace GES_PAC.View
+{
+    public partial class ChambersView
+    {
+        public ChambersView()
+        {
+            InitializeComponent();
+            BindingContext = new ChambersViewModel();
+        }
+    }
+}
diff --git a/GES_PAC/View/CreateCalibrationView.xaml b/GES_PAC/View/CreateCalibrationView.xaml
index e48d581..c42633f 100644
--- a/GES_PAC/View/CreateCalibrationView.xaml
+++ b/GES_PAC/View/CreateCalibrationView.xaml
@@ -36,6 +36,20 @@
                                 IsVisible="{Binding TypeError}"/>
                         </VerticalStackLayout>
 
+                        <!-- CH4 -->
+                        <VerticalStackLayout>
+                            <Label Text="CH4 (ppm)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+                            <Entry Text="{Binding ConcCH4, Mode=TwoWay, TargetNullValue=''}" 
+                                   FontSize="16" 
+                                   TextColor="Black" 
+                                   Placeholder="0,0" 
+                                   Keyboard="Numeric"/>
+                            <Label Text="Entrez une valeur"
+                                FontSize="12"
+                                TextColor="Red"
+                                IsVisible="{Binding ConcCH4Error}"/>
+                        </VerticalStackLayout>
+
                         <!-- O2 -->
                         <VerticalStackLayout>
                             <Label Text="O2 (% vol.)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
@@ -64,21 +78,19 @@
                                 IsVisible="{Binding ConcCO2Error}"/>
                         </VerticalStackLayout>
 
-                        <!-- CH4 -->
-                        <VerticalStackLayout>
-                            <Label Text="CH4 (ppm)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
-                            <Entry Text="{Binding ConcCH4, Mode=TwoWay, TargetNullValue=''}" 
-                                   FontSize="16" 
-                                   TextColor="Black" 
-                                   Placeholder="0,0" 
-                                   Keyboard="Numeric"/>
-                            <Label Text="Entrez une valeur"
+                        <!-- Ref Bouteille -->
+                        <VerticalStackLayout IsVisible="{Binding IsRefBouteilleVisible}">
+                            <Label Text="Référence bouteille" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+                            <Entry Text="{Binding RefBouteille}" 
+                               FontSize="16" 
+                               TextColor="Black" 
+                               Placeholder="0001-0002"/>
+                            <Label Text="Min. 5 caractères"
                                 FontSize="12"
                                 TextColor="Red"
-                                IsVisible="{Binding ConcCH4Error}"/>
+                                IsVisible="{Binding RefBouteilleError}"/>
                         </VerticalStackLayout>
 
-
                     </VerticalStackLayout>
                 </VerticalStackLayout>
             </ScrollView>
@@ -89,7 +101,7 @@
                 VerticalOptions="FillAndExpand">
 
                 <Button 
-                    Text="Créer une journée"
+                    Text="Enregistrer les mesures"
                     Command="{Binding CreateCalibrationCommand}"
                     Style="{StaticResource btnNormal}"
                     IsEnabled="{Binding IsFormValid}"
diff --git a/GES_PAC/View/CreateSetView.xaml b/GES_PAC/View/CreateSetView.xaml
new file mode 100644
index 0000000..0a5c098
--- /dev/null
+++ b/GES_PAC/View/CreateSetView.xaml
@@ -0,0 +1,108 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<ContentPage xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
+             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
+             xmlns:vm="clr-namespace:GES_PAC.ViewModel"
+             xmlns:tools="clr-namespace:GES_PAC.View.Tools"
+             x:Class="GES_PAC.View.CreateSetView"
+             x:DataType="vm:CreateSetViewModel">
+
+    <Grid>
+        <StackLayout BackgroundColor="White" Spacing="50">
+            <tools:ConnectionIndicatorView />
+            <ScrollView>
+
+                <VerticalStackLayout Grid.Row="1" Spacing="30">
+
+                    <Label Text="Informations de la série"
+                       FontSize="20"
+                       FontAttributes="Bold"
+                       HorizontalOptions="Center" />
+                    <VerticalStackLayout Spacing="15" WidthRequest="300">
+
+                        <!-- Mise à jeun -->
+                        <VerticalStackLayout>
+
+                            <Label Text="Heure de mise à jeun" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+
+                            <HorizontalStackLayout HorizontalOptions="Center">
+                                <TimePicker Time="{Binding TimeMAJ, Mode=TwoWay}"
+                                    Format="HH:mm" FontSize="20"/>
+                            </HorizontalStackLayout>
+
+
+                            <Label Text="Sélectionnez une heure valide"
+                                FontSize="12"
+                                TextColor="Red"
+                                IsVisible="{Binding DateMAJError}"/>
+                        </VerticalStackLayout>
+
+                        <!-- Température -->
+                        <VerticalStackLayout>
+                            <Label Text="Température (°C)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+                            <Entry Text="{Binding Temperature}" FontSize="16" TextColor="Black" Placeholder="25" Keyboard="Numeric"/>
+                            <Label Text="Entrez une valeur"
+                                FontSize="12"
+                                TextColor="Red"
+                                IsVisible="{Binding TemperatureError}"/>
+                        </VerticalStackLayout>
+
+                        <!-- Humidité -->
+                        <VerticalStackLayout>
+                            <Label Text="Humidité (%)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+                            <Entry Text="{Binding Humidite}" FontSize="16" TextColor="Black" Placeholder="50" Keyboard="Numeric"/>
+                            <Label Text="Entrez une valeur"
+                                FontSize="12"
+                                TextColor="Red"
+                                IsVisible="{Binding HumiditeError}"/>
+                        </VerticalStackLayout>
+                        
+                        <!-- Pression -->
+                        <VerticalStackLayout>
+                            <Label Text="Pression (hPa)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+                            <Entry Text="{Binding Pression}" FontSize="16" TextColor="Black" Placeholder="1,5" Keyboard="Numeric"/>
+                            <Label Text="Entrez une valeur"
+                                FontSize="12"
+                                TextColor="Red"
+                                IsVisible="{Binding PressionError}"/>
+                        </VerticalStackLayout>
+
+                    </VerticalStackLayout>
+                </VerticalStackLayout>
+            </ScrollView>
+            <StackLayout
+                Margin="10"
+                HorizontalOptions="CenterAndExpand"
+                Orientation="Horizontal"
+                VerticalOptions="FillAndExpand">
+
+                <Button 
+                    Text="Enregistrer"
+                    Command="{Binding CreateSetCommand}"
+                    Style="{StaticResource btnNormal}"
+                    IsEnabled="{Binding IsFormValid}"
+                    VerticalOptions="End"/>
+            </StackLayout>
+        </StackLayout>
+        <Grid Grid.RowSpan="1" IsVisible="{Binding IsBusy}">
+            <Border StrokeThickness="0"
+                            Background="Black"
+                            Opacity="0.5"
+                            Padding="20"
+                            WidthRequest="160"
+                            HeightRequest="160"
+                            HorizontalOptions="Center"
+                            VerticalOptions="Center"
+                            StrokeShape="RoundRectangle 20">
+
+                <VerticalStackLayout HorizontalOptions="Center" VerticalOptions="Center">
+                    <ActivityIndicator IsRunning="True" Color="White" />
+                    <Label Text="Chargement..."
+                            FontSize="14"
+                            TextColor="white"
+                            HorizontalOptions="Center"/>
+                </VerticalStackLayout>
+            </Border>
+        </Grid>
+    </Grid>
+
+</ContentPage>
\ No newline at end of file
diff --git a/GES_PAC/View/CreateSetView.xaml.cs b/GES_PAC/View/CreateSetView.xaml.cs
new file mode 100644
index 0000000..1de08e6
--- /dev/null
+++ b/GES_PAC/View/CreateSetView.xaml.cs
@@ -0,0 +1,12 @@
+using GES_PAC.ViewModel;
+
+namespace GES_PAC.View;
+
+public partial class CreateSetView
+{
+    public CreateSetView()
+    {
+        InitializeComponent();
+        BindingContext = new CreateSetViewModel();
+    }
+}
diff --git a/GES_PAC/View/EnterAnimal.xaml b/GES_PAC/View/EnterAnimal.xaml
new file mode 100644
index 0000000..90c0bad
--- /dev/null
+++ b/GES_PAC/View/EnterAnimal.xaml
@@ -0,0 +1,83 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<ContentPage xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
+             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
+             xmlns:vm="clr-namespace:GES_PAC.ViewModel"
+             xmlns:tools="clr-namespace:GES_PAC.View.Tools"
+             x:Class="GES_PAC.View.EnterAnimalView"
+             x:DataType="vm:EnterAnimalViewModel">
+
+    <Grid>
+        <StackLayout BackgroundColor="White" Spacing="50">
+            <tools:ConnectionIndicatorView />
+            <ScrollView>
+
+                <VerticalStackLayout Grid.Row="1" Spacing="30">
+
+                    <Label Text="Informations de la série"
+                       FontSize="20"
+                       FontAttributes="Bold"
+                       HorizontalOptions="Center" />
+                    <VerticalStackLayout Spacing="15" WidthRequest="300">
+
+                        <!-- Num RFID -->
+                        <VerticalStackLayout>
+
+                            <Label Text="Numéro RFID" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+                            <Entry Text="{Binding NumRFID}" FontSize="16" TextColor="Black" Placeholder="25"/>
+                            <Label Text="Entrez une valeur"
+                                FontSize="12"
+                                TextColor="Red"
+                                IsVisible="{Binding NumRFIDError}"/>
+
+                        </VerticalStackLayout>
+
+                        <!-- Poids -->
+                        <VerticalStackLayout>
+                            <Label Text="Température (°C)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+                            <Entry Text="{Binding Temperature}" FontSize="16" TextColor="Black" Placeholder="25" Keyboard="Numeric"/>
+                            <Label Text="Entrez une valeur"
+                                FontSize="12"
+                                TextColor="Red"
+                                IsVisible="{Binding TemperatureError}"/>
+                        </VerticalStackLayout>
+
+                    </VerticalStackLayout>
+                </VerticalStackLayout>
+            </ScrollView>
+            <StackLayout
+                Margin="10"
+                HorizontalOptions="CenterAndExpand"
+                Orientation="Horizontal"
+                VerticalOptions="FillAndExpand">
+
+                <Button 
+                    Text="Enregistrer"
+                    Command="{Binding CreateSetCommand}"
+                    Style="{StaticResource btnNormal}"
+                    IsEnabled="{Binding IsFormValid}"
+                    VerticalOptions="End"/>
+            </StackLayout>
+        </StackLayout>
+        <Grid Grid.RowSpan="1" IsVisible="{Binding IsBusy}">
+            <Border StrokeThickness="0"
+                            Background="Black"
+                            Opacity="0.5"
+                            Padding="20"
+                            WidthRequest="160"
+                            HeightRequest="160"
+                            HorizontalOptions="Center"
+                            VerticalOptions="Center"
+                            StrokeShape="RoundRectangle 20">
+
+                <VerticalStackLayout HorizontalOptions="Center" VerticalOptions="Center">
+                    <ActivityIndicator IsRunning="True" Color="White" />
+                    <Label Text="Chargement..."
+                            FontSize="14"
+                            TextColor="white"
+                            HorizontalOptions="Center"/>
+                </VerticalStackLayout>
+            </Border>
+        </Grid>
+    </Grid>
+
+</ContentPage>
\ No newline at end of file
diff --git a/GES_PAC/View/EnterAnimal.xaml.cs b/GES_PAC/View/EnterAnimal.xaml.cs
new file mode 100644
index 0000000..c669bf0
--- /dev/null
+++ b/GES_PAC/View/EnterAnimal.xaml.cs
@@ -0,0 +1,12 @@
+using GES_PAC.ViewModel;
+
+namespace GES_PAC.View;
+
+public partial class EnterAnimalView
+{
+    public EnterAnimalView()
+    {
+        InitializeComponent();
+        BindingContext = new EnterAnimalViewModel();
+    }
+}
diff --git a/GES_PAC/View/SetListView.xaml b/GES_PAC/View/SetListView.xaml
new file mode 100644
index 0000000..602dc6a
--- /dev/null
+++ b/GES_PAC/View/SetListView.xaml
@@ -0,0 +1,58 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<ContentPage xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
+             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
+             xmlns:vm="clr-namespace:GES_PAC.ViewModel"
+             xmlns:tools="clr-namespace:GES_PAC.View.Tools"
+             x:Class="GES_PAC.View.SetListView"
+             x:DataType="vm:SetListViewModel">
+
+    <Grid>
+        <StackLayout BackgroundColor="White" Spacing="50">
+
+            <tools:ConnectionIndicatorView />
+            <ScrollView>
+                <StackLayout Spacing="100">
+
+                    <Label Text="Pas de série disponible"
+                        FontSize="18"
+                        HorizontalOptions="Center"/>
+
+
+                </StackLayout>
+            </ScrollView>
+            <StackLayout
+                Margin="10"
+                HorizontalOptions="CenterAndExpand"
+                Orientation="Horizontal"
+                VerticalOptions="FillAndExpand">
+
+                <Button 
+                    Text="Créer une série"
+                    Command="{Binding GoToCreateSetCommand}"
+                    Style="{StaticResource btnNormal}"
+                    VerticalOptions="End"/>
+            </StackLayout>
+        </StackLayout>
+        <Grid Grid.RowSpan="1" IsVisible="{Binding IsBusy}">
+            <Border StrokeThickness="0"
+                Background="Black"
+                Opacity="0.5"
+                Padding="20"
+                WidthRequest="160"
+                HeightRequest="160"
+                HorizontalOptions="Center"
+                VerticalOptions="Center"
+                StrokeShape="RoundRectangle 20">
+
+                <VerticalStackLayout HorizontalOptions="Center" VerticalOptions="Center">
+                    <ActivityIndicator IsRunning="True" Color="White" />
+                    <Label Text="Chargement..."
+                        FontSize="14"
+                        TextColor="white"
+                        HorizontalOptions="Center"/>
+                </VerticalStackLayout>
+            </Border>
+        </Grid>
+
+    </Grid>
+</ContentPage>
diff --git a/GES_PAC/View/SetListView.xaml.cs b/GES_PAC/View/SetListView.xaml.cs
new file mode 100644
index 0000000..579a9e5
--- /dev/null
+++ b/GES_PAC/View/SetListView.xaml.cs
@@ -0,0 +1,12 @@
+using GES_PAC.ViewModel;
+
+namespace GES_PAC.View;
+
+public partial class SetListView
+{
+    public SetListView()
+    {
+        InitializeComponent();
+        BindingContext = new SetListViewModel();
+    }
+}
diff --git a/GES_PAC/ViewModel/ChambersViewModel.cs b/GES_PAC/ViewModel/ChambersViewModel.cs
new file mode 100644
index 0000000..10dd23d
--- /dev/null
+++ b/GES_PAC/ViewModel/ChambersViewModel.cs
@@ -0,0 +1,38 @@
+using GES_PAC.Model;
+using GES_PAC.View;
+using System.Windows.Input;
+
+namespace GES_PAC.ViewModel
+{
+    public class ChambersViewModel : BaseViewModel
+    {
+
+        #region Attributs
+        #endregion
+
+        #region Commandes
+        public ICommand OnClickChamberCommand { get; }
+        #endregion
+
+        #region Propriétés
+
+        #endregion
+
+        #region Constructeurs
+        public ChambersViewModel()
+        {
+            OnClickChamberCommand = new Command<int>(async (id) => await GoToEnterAnimal(id));
+
+        }
+        #endregion
+
+        #region Méthodes
+        private async Task GoToEnterAnimal(int id)
+        {
+            IsBusy = true;
+            await Shell.Current.GoToAsync($"{nameof(EnterAnimalView)}?chamberId={id}");
+            IsBusy = false;
+        }
+        #endregion
+    }
+}
diff --git a/GES_PAC/ViewModel/CreateCalibrationViewModel.cs b/GES_PAC/ViewModel/CreateCalibrationViewModel.cs
index 63439fe..27d5b7a 100644
--- a/GES_PAC/ViewModel/CreateCalibrationViewModel.cs
+++ b/GES_PAC/ViewModel/CreateCalibrationViewModel.cs
@@ -15,7 +15,8 @@ namespace GES_PAC.ViewModel
         private double? _conc_o2;
         private double? _conc_co2;
         private double? _conc_ch4;
-        private string _ref_bouteille;
+        private string _refBouteille;
+        private bool _isRefBouteilleVisible;
         private bool _isFormValid;
         #endregion
 
@@ -31,6 +32,7 @@ namespace GES_PAC.ViewModel
             set
             {
                 _selectedType = value;
+                IsRefBouteilleVisible = _selectedType.Name != "Air";
                 OnPropertyChanged();
                 ValidateForm();
             }
@@ -70,14 +72,24 @@ namespace GES_PAC.ViewModel
         }
         public string RefBouteille
         {
-            get => _ref_bouteille;
+            get => _refBouteille;
             set
             {
-                _ref_bouteille = value;
+                _refBouteille = value;
                 OnPropertyChanged();
                 ValidateForm();
             }
         }
+        public bool IsRefBouteilleVisible
+        {
+            get => _isRefBouteilleVisible;
+            set
+            {
+                _isRefBouteilleVisible = value;
+                OnPropertyChanged();
+            }
+        }
+
         public bool IsFormValid
         {
             get => _isFormValid;
@@ -92,6 +104,7 @@ namespace GES_PAC.ViewModel
         public bool ConcO2Error { get; private set; } = true;
         public bool ConcCO2Error { get; private set; } = true;
         public bool ConcCH4Error { get; private set; } = true;
+        public bool RefBouteilleError { get; private set; } = true;
         #endregion
 
         #region Constructeurs
@@ -116,11 +129,12 @@ namespace GES_PAC.ViewModel
 
             var date = DateTime.Now;
             var newCalib = new MesureCalibration(date, ConcO2 ?? 0, ConcCO2 ?? 0, ConcCH4 ?? 0, SelectedType, RefBouteille);
-            var isComplete = JourneeViewModel.Instance.GetCurrentDay().AddCalibration(newCalib);
+            var phaseCalibration = JourneeViewModel.Instance.GetCurrentPhase();
+            var isComplete = JourneeViewModel.Instance.GetCurrentDay().AddCalibration(newCalib, phaseCalibration);
 
             if (isComplete)
             {
-                await Shell.Current.GoToAsync(nameof(MainView));
+                await Shell.Current.GoToAsync(nameof(SetListView));
             }
             else
             {
@@ -136,13 +150,15 @@ namespace GES_PAC.ViewModel
             ConcO2Error = ConcO2 == null;
             ConcCO2Error = ConcCO2 == null;
             ConcCH4Error = ConcCH4 == null;
+            RefBouteilleError = IsRefBouteilleVisible && (RefBouteille == null || RefBouteille.Length < 5);
 
             OnPropertyChanged(nameof(TypeError));
             OnPropertyChanged(nameof(ConcO2Error));
             OnPropertyChanged(nameof(ConcCO2Error));
             OnPropertyChanged(nameof(ConcCH4Error));
+            OnPropertyChanged(nameof(RefBouteilleError));
 
-            IsFormValid = !TypeError && !ConcO2Error && !ConcCO2Error && !ConcCH4Error;
+            IsFormValid = !TypeError && !ConcO2Error && !ConcCO2Error && !ConcCH4Error && !RefBouteilleError;
 
             (CreateCalibrationCommand as Command)?.ChangeCanExecute();
         }
diff --git a/GES_PAC/ViewModel/CreateSetViewModel.cs b/GES_PAC/ViewModel/CreateSetViewModel.cs
new file mode 100644
index 0000000..e57d5b7
--- /dev/null
+++ b/GES_PAC/ViewModel/CreateSetViewModel.cs
@@ -0,0 +1,128 @@
+using GES_PAC.Model;
+using GES_PAC.View;
+using System.Windows.Input;
+
+namespace GES_PAC.ViewModel
+{
+    public class CreateSetViewModel : BaseViewModel
+    {
+
+        #region Attributs
+        private DateTime _dateTimeMAJ = DateTime.Now;
+        private double? _temperature;
+        private double? _humidite;
+        private double? _pression;
+        private bool _isFormValid;
+        #endregion
+
+        #region Commandes
+        public ICommand CreateSetCommand { get; }
+        #endregion
+
+        #region Propriétés
+
+        public DateTime DateTimeMAJ
+        {
+            get => _dateTimeMAJ;
+        }
+
+        public TimeSpan TimeMAJ
+        {
+            get => _dateTimeMAJ.TimeOfDay;
+            set
+            {
+                _dateTimeMAJ = _dateTimeMAJ.Date + value;
+                OnPropertyChanged();
+                ValidateForm();
+            }
+        }
+
+        public double? Temperature
+        {
+            get => _temperature;
+            set
+            {
+                _temperature = value;
+                OnPropertyChanged();
+                ValidateForm();
+            }
+        }
+
+        public double? Pression
+        {
+            get => _pression;
+            set
+            {
+                _pression = value;
+                OnPropertyChanged();
+                ValidateForm();
+            }
+        }
+
+        public double? Humidite
+        {
+            get => _humidite;
+            set
+            {
+                _humidite = value;
+                OnPropertyChanged();
+                ValidateForm();
+            }
+        }
+
+        public bool IsFormValid
+        {
+            get => _isFormValid;
+            set
+            {
+                _isFormValid = value;
+                OnPropertyChanged();
+            }
+        }
+
+        public bool DateMAJError { get; private set; } = true;
+        public bool TemperatureError { get; private set; } = true;
+        public bool HumiditeError { get; private set; } = true;
+        public bool PressionError { get; private set; } = true;
+        #endregion
+
+        #region Constructeurs
+        public CreateSetViewModel()
+        {
+            CreateSetCommand = new Command(async () => await CreateSet());
+        }
+        #endregion
+
+        #region Méthodes
+
+        private async Task CreateSet()
+        {
+            IsBusy = true;
+            var date = DateTime.Now;
+            var journeeActuelle = JourneeViewModel.Instance.GetCurrentDay();
+            var newSet = new Serie(date, DateTimeMAJ, Temperature ?? 0, Humidite ?? 0, Pression ?? 0);
+            journeeActuelle.AddSerie(newSet);
+
+            await Shell.Current.GoToAsync(nameof(CreateCalibrationView));
+            IsBusy = false;
+        }
+
+        private void ValidateForm()
+        {
+            DateMAJError = DateTimeMAJ > DateTime.Now;
+            TemperatureError = Temperature == null;
+            HumiditeError = Humidite == null;
+            PressionError = Pression == null;
+
+            OnPropertyChanged(nameof(DateMAJError));
+            OnPropertyChanged(nameof(TemperatureError));
+            OnPropertyChanged(nameof(HumiditeError));
+            OnPropertyChanged(nameof(PressionError));
+
+            IsFormValid = !DateMAJError && !TemperatureError && !HumiditeError && !PressionError;
+
+            (CreateSetCommand as Command)?.ChangeCanExecute();
+        }
+        #endregion
+    }
+}
diff --git a/GES_PAC/ViewModel/EnterAnimalViewModel.cs b/GES_PAC/ViewModel/EnterAnimalViewModel.cs
new file mode 100644
index 0000000..494f618
--- /dev/null
+++ b/GES_PAC/ViewModel/EnterAnimalViewModel.cs
@@ -0,0 +1,106 @@
+using GES_PAC.Model;
+using GES_PAC.View;
+using System.Windows.Input;
+
+namespace GES_PAC.ViewModel
+{
+    public class EnterAnimalViewModel : BaseViewModel
+    {
+
+        #region Attributs
+        private int _chamberId;
+
+        private string _numrfid;
+        private double? _poids;
+        private bool _isFormValid;
+        #endregion
+
+        #region Commandes
+        public ICommand EnterAnimalCommand { get; }
+        #endregion
+
+        #region Propriétés
+
+        
+        public int ChamberId
+        {
+            get => _chamberId;
+            set
+            {
+                _chamberId = value;
+                OnPropertyChanged();
+            }
+        }
+
+        public string NumRFID
+        {
+            get => _numrfid;
+            set
+            {
+                _numrfid = value;
+                OnPropertyChanged();
+                ValidateForm();
+            }
+        }
+
+        public double? Poids
+        {
+            get => _poids;
+            set
+            {
+                _poids = value;
+                OnPropertyChanged();
+                ValidateForm();
+            }
+        }
+
+        public bool IsFormValid
+        {
+            get => _isFormValid;
+            set
+            {
+                _isFormValid = value;
+                OnPropertyChanged();
+            }
+        }
+
+        public bool NumRFIDError { get; private set; } = true;
+        public bool PoidsError { get; private set; } = true;
+        #endregion
+
+        #region Constructeurs
+        public EnterAnimalViewModel()
+        {
+            EnterAnimalCommand = new Command(async () => await EnterAnimal());
+        }
+        #endregion
+
+        #region Méthodes
+
+        private async Task EnterAnimal()
+        {
+            IsBusy = true;
+            var date = DateTime.Now;
+            var journeeActuelle = JourneeViewModel.Instance.GetCurrentDay();
+            var newSet = new SerieAnimal();
+            journeeActuelle.AddSerie(newSet); //getcurrentset a créer
+
+            await Shell.Current.GoToAsync(nameof(CreateCalibrationView));
+            IsBusy = false;
+        }
+
+        private void ValidateForm()
+        {
+            NumRFIDError = NumRFID == null;
+            PoidsError = Poids == null;
+
+            OnPropertyChanged(nameof(NumRFIDError));
+            OnPropertyChanged(nameof(PoidsError));
+
+            IsFormValid = !NumRFIDError && !PoidsError;
+
+            (EnterAnimalCommand as Command)?.ChangeCanExecute();
+        }
+        #endregion
+    }
+}
diff --git a/GES_PAC/ViewModel/JourneeViewModel.cs b/GES_PAC/ViewModel/JourneeViewModel.cs
index 043f0fd..4df9dfd 100644
--- a/GES_PAC/ViewModel/JourneeViewModel.cs
+++ b/GES_PAC/ViewModel/JourneeViewModel.cs
@@ -29,6 +29,11 @@ namespace GES_PAC.ViewModel
             DateTime today = DateTime.Today;
             return Journees.FirstOrDefault(j => j.Date.Date == today);
         }
+        public PhaseCalibration GetCurrentPhase()
+        {
+            var journeeActuelle = GetCurrentDay();
+            return journeeActuelle.GetCurrentPhase();
+        }
         #endregion
     }
 }
diff --git a/GES_PAC/ViewModel/SetListViewModel.cs b/GES_PAC/ViewModel/SetListViewModel.cs
new file mode 100644
index 0000000..14a4189
--- /dev/null
+++ b/GES_PAC/ViewModel/SetListViewModel.cs
@@ -0,0 +1,35 @@
+using System.Windows.Input;
+using GES_PAC.Services;
+using GES_PAC.View;
+
+
+namespace GES_PAC.ViewModel
+{
+    public class SetListViewModel : BaseViewModel
+    {
+        #region Services
+        private readonly ConnexionService connService;
+        #endregion
+
+        #region Commandes
+        public ICommand GoToCreateSetCommand { get; }
+        #endregion
+
+        #region Constructeur
+        public SetListViewModel()
+        {
+            GoToCreateSetCommand = new Command(async () => await GoToCreateSetPage());
+        }
+        #endregion
+
+        #region Méthodes
+        private async Task GoToCreateSetPage()
+        {
+            IsBusy = true;
+            await Shell.Current.GoToAsync(nameof(CreateSetView));
+            IsBusy = false;
+        }
+        #endregion
+    }
+}
+
